Subject: shared files and fork()
From: "Paul G." <[email-masked]>
To: [email-masked]
Date: Fri, 06 Dec 2002 20:53:51 -0800

Hi folks,

	Just a couple of quick questions:

	The cvs release of Python-2.2.1 (python.org) indicates that there was a problem with 
implementing shared files (.dlls I assume, could also be .dlls.a files) with fork().

	The workaround suggested changed the Python build to generate a static library instead 
of a shared one in order to correct the problem/bug..

	Follows is a couple of excerpts...

> Cygwin: With recent (relative to the time of writing, 2001-12-19)
>         Cygwin installations, there are problems with the interaction
>         of dynamic linking and fork().  This manifests itself in build
>         failures during the execution of setup.py.
> 
[snip]
> 
>         (b) The "proper" fix is to rebase the Cygwin DLLs to prevent
>         base address conflicts.  Details on how to do this can be
>         found in the following mail:
> 
>            http://sources.redhat.com/ml/cygwin/2001-12/msg00894.html

	I heard recently that there was something going on in terms of rebaseing.

	(Yes, I do follow this email list, lurking most of the time, as well as Cygwin apps mailing 
lists.  I don't always have the time to read every post, even though the term "Rebase" does 
stand out.)

	It was not clear if the .dlls (shared files) for the latest releases of Cygwin are or have 
been rebased.

	Also, while on the subject of shared files, and more out of curiousity than anything else, 
a question for clarification:  Does Cygwin support .so files now?

	Can someone clarify what the "rebaseing" was actually about?

	Thanks,

		Paul G.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/